<?php use_helper('UtilFunctions'); ?>
<?php
header("Content-Type: text/html; charset=utf-8");
use_helper('UrlFunctions');

ob_start();

$o_ObjectBean = new CrCreditoCronoFN();

if(myUser::getUser()->getRoleId() == "sys.ope"){
	$o_ObjectBean->setIdcolaborador(myUser::getUser()->getIdColaborador()); 
}elseif(myUser::getUser()->getRoleId() == "sys.res"){
	$idAdministrador = myUser::getUser()->getIdColaborador();
	
	//Obtener todos los Id de colaborador de ese IdAdministrador
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($idAdministrador);
	$o_ColaboradorBL = new ColaboradorBL();	
	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}else{
		$a_Colaborador[] = "X";
	}
}

if($a_Colaborador    !=""){ $o_ObjectBean->setIdcolaboradores($a_Colaborador); }
if($s_Estado         !=""){ $o_ObjectBean->setEstado($s_Estado); }
if($txtDni           !=""){ $o_ObjectBean->setDni($txtDni); }
if($cboMercado       !=""){ $o_ObjectBean->setIdMercado($cboMercado); }
if($txtNombre        !="" && $cboTipoNombre == "AP"){ $o_ObjectBean->setApellidoPaterno($txtNombre); }
if($txtNombre        !="" && $cboTipoNombre == "AM"){ $o_ObjectBean->setApellidoMaterno($txtNombre); }
if($txtNombre        !="" && $cboTipoNombre == "NO"){ $o_ObjectBean->setNombres($txtNombre); }
if($txtNuemroCliente !=""){ $o_ObjectBean->setIdCliente($txtNuemroCliente); }
if($s_Moneda         !=""){ $o_ObjectBean->setMoneda($s_Moneda); }
if($txtNuemroCredito         !=""){ $o_ObjectBean->setIdcreditocrono($txtNuemroCredito); }
if($s_Tipo         !=""){ $o_ObjectBean->setTipocredito($s_Tipo); }

$o_ObjectBean->setEliminado( '-1' );


////////////////////////////////////////////////////////////////////////////////////////////////////
//PARAMETROS POR DEFECTO
if (!isset($sortCampos)){ $sortCampos = "Idcreditocrono"; $sortType = "1"; }
//if (!isset($sortCampos)){ $sortCampos = ""; $sortType = ""; }
$tamanioPag = 20;
if(!isset($page)) $page = 1;
$a_ObjectBean = array();
$valuesSort   = array();

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
if( $o_ObjectBean )
{
    $o_ObjectBean->page = $page;
    $o_ObjectBean->tamPag = $tamanioPag;
    $o_ObjectBean->sortCampos = $sortCampos;
    $o_ObjectBean->sortType   = $sortType;
    
    $a_ObjectBean = $o_ObjectBean->buscarHipotecaCliente();
    if( $a_ObjectBean )
    $o_navigation->setTotalRegistros($o_ObjectBean->selectNumRows());
    $valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);
}
//ob_clean();

ViewResponse::getInstance()->setMethodAjax();
  
?>
<script>
functionSort = function(campo, type)
{
    var typeSort      = "";
    var elmSortCampos = $('sortCampos');
    var elmSortType   = $('sortType');
    var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
    var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
    var pos           = a_sortCampos.indexOf(campo);
    switch (type)
    {
        case 'A' :
            a_sortType[pos]    = "2";
        break;
        case 'D' :
            a_sortCampos = sliceByPos(a_sortCampos, pos);
            a_sortType   = sliceByPos(a_sortType, pos);
        break;
        default :
            a_sortCampos[a_sortCampos.length] = campo;
            a_sortType[a_sortType.length]     = "1";
        break;
    }
    var strSortCampos = a_sortCampos.join(";");
    var strSortType   = a_sortType.join(";");
    concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?php echo $page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos)
{
    $a_valCampos = explode(";", $valuesSort['sortCampos']);
    $a_valtype   = explode(";", $valuesSort['sortType']);
    $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
    foreach ( $a_valCampos as $key => $val )
    {
        if($val == $campo)
        {
            switch ( $a_valtype[$key] )
            {
                case 1:
                    $sImg = "
                            <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                            <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                          ";
                break;
                case 2:
                    $sImg = "
                            <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                            <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                          ";
                break;
            }
        }
    }
    return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?php echo $valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?php echo $valuesSort['sortType']?>">
<table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
    <tr>
        <td height="17" align="right" class="pager">
            <div id="contenedor">
                <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
        </td>
    </tr>
    <tr>
        <td>
            <table class="grid" width="100%" border="0" cellpadding="2" cellspacing="0">
                <tr height="23">
                    <th width="5%" nowrap="nowrap">Nro</th>
                    <th width="6%" align="left" nowrap="nowrap">N.Cli.</th>
                    <th width="20%" align="left" nowrap="nowrap">Cliente</th>
                    <th width="10%" align="center" nowrap="nowrap">Tipo Credito</th>
                    <th width="10%" nowrap="nowrap"><?php echo showImgOrder($valuesSort, 'Fechareporte','No Cr&eacute;dito')?></th>
                    <th width="8%" nowrap="nowrap">F.Oper.</th>
                    <th width="10%" nowrap="nowrap"># Cuotas</th>
                    <th width="10%" nowrap="nowrap">Moneda</th>
                    <th width="10%" nowrap="nowrap">Mont Capital</th>
                    <th width="10%" nowrap="nowrap">Mont Total</th>
                    <th width="10%" nowrap="nowrap">Descuento</th>
                    <th width="10%" nowrap="nowrap">Estado</th>
                    <th width="15%" nowrap="nowrap">Opciones</th>
                </tr>
                <?php if(count($a_ObjectBean)>0){ ?>
                    <?php foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
                        <?php
                        $i_Id = $o_objBean->getIdcreditocrono();
                        $i_IdCliente = $o_objBean->getIdCliente();
                        $s_Estado = $o_objBean->getEstado();
                        $s_Moneda = $o_objBean->getMoneda();
                        $s_FechaInicio = $o_objBean->getFechaTrx();
                        switch ($s_Estado) 
                        {
                            case "P":
                                $s_EstadoDesc = "PENDIENTE";
                            break;
                            case "C":
                                $s_EstadoDesc = "CANCELADO";
                            break;
                        }
                        switch ( $s_Moneda ) 
                        {
                            case "S":
                                $s_MonedaDesc = "SOLES";
                            break;
                            case "D":
                                $s_MonedaDesc = "DOLARES";
                            break;
                        }
                        //mysql_select_db( Conexion::getNameDb() );
                        $o_CrCreditoCuotaFN = new CrCreditoCuotaFN();
                        $o_CrCreditoCuotaFN->setIdcreditocrono( $i_Id );
                        $i_NumCuotas = $o_CrCreditoCuotaFN->selectNumRows();
                        
                        $o_ClienteBean = new ClienteBean();
                        $o_ClienteBean->setIdCliente( $o_objBean->getIdcliente() );
                        
                        $o_ClienteBL = new ClienteBL();
                        $a_Cliente = $o_ClienteBL->busquedaCliente( $o_ClienteBean );
                        $s_NombreCompleto = "";
                        if( $a_Cliente )
                        {
                            $o_ClienteBN = $a_Cliente[0];
                            $s_NombreCompleto = $o_ClienteBN->getNombreCompleto();
                            
                            $i_IdMercado =  $o_ClienteBN->getIdMercado();
                            $o_MercadoBean = new MercadoBean();
                            $o_MercadoBean->setIdMercado( $i_IdMercado );
                            
                            $o_MercadoBL = new MercadoBL();
                            $a_Mercado = $o_MercadoBL->busquedaMercado( $o_MercadoBean );
                            if( $a_Mercado )
                            {
                                $o_MercadoBN = $a_Mercado[0];
                                $s_DescripcionMercado = $o_MercadoBN->getDescripcion();
                            }
                        }
                        $con = Conexion::getConexion();
                       
                        
                        
                        ?>
                <tr style="color:<?=$bg_color?>">
                    <td class="chk"><?php echo $iKey+1?></td>
                    <td align="left"><?php echo $i_IdCliente ?></td>
                    <td align="left"><?php echo $s_NombreCompleto ?></td>
                    <td align="center"><?php if($o_objBean->getTipocredito() == 'H') echo "Hipoteca"; elseif($o_objBean->getTipocredito() == 'F') echo "Financiero"; ?></td>
                    <td align="center"><?php echo "HI-".$i_Id ?></td>
                    <td align="center"><?php echo $s_FechaInicio ?></td>
                    <td align="center"><?php echo $i_NumCuotas ?></td>
                    <td align="center"><?php echo $s_MonedaDesc ?></td>
                    <td align="center"><?php echo $o_objBean->getMontocapital() ?></td>
                    <td align="center"><?php echo $o_objBean->getMontototal() ?></td>
                    <td align="center" style="color:#ff0000"><?=$o_objBean->getDescuento()?></td>
                    <td align="center"><?php echo $s_EstadoDesc ?></td>
                    <td align="center" valign="top">
                        <input type="image" title="Mostrar Pagos" src="/images/common/buttons/btnMoney.gif" onclick="parent.objMainTab.modalDialog('<?=buildUrl('pgh/showPayments/i_Id/'.$i_Id,"block=006")?>',{title:'Mostar Hipoteca',width:1200,height:550})">&nbsp;
						<?php if(myUser::getUser()->getRoleId() == "sys.gen"){?>
                        <img src="/images/common/buttons/btnClose.gif" style="cursor:pointer" title="Anular" onclick="cambiarEliminadoLogico('<?php echo $i_Id ?>');"/>
						<?php }?>
                    </td>
                </tr>
                    <? } ?>
                <? }else{ ?>
                <tr>
                    <td colspan="8" align="center">No se produjo resultado</td>
                </tr>
                <? } ?>
            </table>
        </td>
    </tr>
    <tr>
        <td class="pie_grid">Total registros: <?php echo count($a_ObjectBean)?></td>
    </tr>
</table>